@if %1x==x @(
	echo.
	echo Hello! Please don't double-click me.
	echo Instead, drag and drop a file or a directory to transcode.
	echo.
	pause
	goto :eof
)

"%~dp0programs\setbatpriority.exe" low

@for %%i in ("%~dp0programs\consolemulti.bat") do @set AUTOHARD=%%~si
@set AHSFILEATTR=%~a1
@set AHSFILEDIR=%AHSFILEATTR:~0,1%
@if "%AHSFILEDIR%" == "d" goto dirmode

:filemode
call "%AUTOHARD%" "%~dps1%~nx1" bluray
@goto :eof

:dirmode
@for %%a in ("%~s1\*.mkv") do call "%AUTOHARD%" "%%a" bluray
